#
# spec file for package qtecasound (Version 0.1dev6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel ecasound ecasound-devel freetype2 gpp libgpp libjpeg liblcms libmng libmng-devel libpng mesa mesa-devel mesasoft qt qt-devel readline readline-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir alsa alsa-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs ecasound ecasound-devel file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg liblcms libmng libmng-devel libpng libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         qtecasound
Summary:      Qt-based interface to ecasound
Version:      0.1dev6
Release:      87
Group: X11/Applications/Sound
Copyright:	GPL
Requires:  ecasound >= 2.0
Obsoletes: ecasound-qt qtecasound-devel
Provides:  ecasound-qt
BuildRoot: /tmp/%{name}-%{version}-root
URL: http://ecasound.seul.org/
Source: %{name}-%{version}.tar.bz2

%description
Qt-based interface to ecasound.

Authors:
--------
    Kai Vehmanen <kaiv@wakkanet.fi>

SuSE series: snd

%prep
%setup

%build
%{?suse_update_config:%{suse_update_config -fl}}
libtoolize -f
aclocal
autoconf
automake
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS" \
QTDIR=/usr/lib/qt2 \
./configure --prefix=%{_prefix} --disable-static --with-qt-dir=/usr/lib/qt2
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" mandir=%{_mandir} install-strip

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc NEWS README INSTALL Documentation
%doc %{_mandir}/*/*
%{_bindir}/qtecasound

%changelog -n qtecasound
* Mon Aug 06 2001 - tiwai@suse.de
- added readline and -devel to neededforbuild.
* Thu Jul 12 2001 - tiwai@suse.de
- updated to 0.1dev6.
  removed devel package.
* Tue Apr 17 2001 - schwab@suse.de
- Add %%suse_update_config.
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Jan 30 2001 - tiwai@suse.de
- Initial version: 0.1.2d1 - requires ecasound-1.8.5d15
